# Poco

# class HexBinaryDecoder

Library: Foundation
Package: Streams
Header: Poco/HexBinaryDecoder.h

## Description

This istream decodes all hexBinary-encoded data read from the istream connected to it. In hexBinary encoding, each binary octet is encoded as a character tuple, consisting of two hexadecimal digits ([0-9a-fA-F]) representing the octet code. See also: XML Schema Part 2: Datatypes (http://www.w3.org/TR/xmlschema-2/), section 3.2.15.

## Inheritance

Direct Base Classes: HexBinaryDecoderIOS, std::istream

All Base Classes: HexBinaryDecoderIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### HexBinaryDecoder

HexBinaryDecoder(
std::istream & istr
);

## Destructor

### ~HexBinaryDecoder

~HexBinaryDecoder();